Orders
Place a new order
Creates a new order with EIP-712 signature for on-chain settlement. Supports limit, market, and conditional orders with various execution policies. GTT orders' exp_ts must be at most 30 days in the future.
Requires authentication.
ApiKeyAuth ApiSignatureAuth ApiTimestampAuth
x-api-key <token>
API key for authentication
In: header
x-api-signature <token>
HMAC-SHA256 signature: base64(HMAC(timestamp + method + path + body, secret))
In: header
x-api-timestamp <token>
Unix timestamp in seconds
In: header
PlaceOrderRequest creates a new order.
TypeScript Definitions
Use the request body type in TypeScript.
Copy
cURL
JavaScript
Go
Python
Java
C#curl -X POST "https://api.obsdn.trade/orders" \ -H "Content-Type: application/json" \ -d '{}'
200
{
"ord" : {
"oid" : "string" ,
"mkt_id" : "string" ,
"sd" : "ORDER_SIDE_UNSPECIFIED" ,
"ot" : "ORDER_TYPE_UNSPECIFIED" ,
"sz" : "string" ,
"px" : "string" ,
"sndr" : "string" ,
"nonce" : "string" ,
"stp" : "SELF_TRADE_PREVENTION_UNSPECIFIED" ,
"po" : true ,
"tif" : "TIME_IN_FORCE_UNSPECIFIED" ,
"ro" : true ,
"st" : "ORDER_STATUS_UNSPECIFIED" ,
"done_rsn" : "string" ,
"stop_px" : "string" ,
"stop_px_type" : "STOP_PRICE_TYPE_UNSPECIFIED" ,
"stop_t" : "STOP_TYPE_UNSPECIFIED" ,
"is_liq" : true ,
"liq_fee_rt" : "string" ,
"mkr_fee_rt" : "string" ,
"tkr_fee_rt" : "string" ,
"filled_sz" : "string" ,
"avg_px" : "string" ,
"tot_fees" : "string" ,
"crt_ts" : "string" ,
"upd_ts" : "string" ,
"cancel_req_ts" : "string" ,
"exp_ts" : "string" ,
"cl_oid" : "string" ,
"cancel_req" : true ,
"sched_ts" : "string"
}
}